gtkmm: Gtk::RadioButtonGroup Class Reference

gtkmm 3.5.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
Gtk::RadioButtonGroup Class Reference

RadioButtonGroup identifier for RadioButtons To set up this RadioButtonGroup, construct a RadioButtonGroup and then pass it to the constructor of all radio items. More...

List of all members.

## Public Member Functions
| RadioButtonGroup ()
| RadioButtonGroup (const RadioButtonGroup& src)
RadioButtonGroup& | operator= (const RadioButtonGroup& src)

## Protected Member Functions
| RadioButtonGroup (GSList* group)
void | add (RadioButton& item)
void | add (RadioMenuItem& item)
void | add (const Glib::RefPtr< RadioAction >& item)
void | add (RadioToolButton& item)
void* | operator new (size_t)

## Protected Attributes
GSList* | group_

## Detailed Description

RadioButtonGroup identifier for RadioButtons To set up this RadioButtonGroup, construct a RadioButtonGroup and then pass it to the constructor of all radio items.

You do not need to keep the RadioButtonGroup beyond the initial construction. It should not be instantiated with new, and it will be invalid after the RadioButtons have been deleted.

## Constructor & Destructor Documentation

Gtk::RadioButtonGroup::RadioButtonGroup | ( |  | ) |

Gtk::RadioButtonGroup::RadioButtonGroup | ( | const RadioButtonGroup& | src | ) |

Gtk::RadioButtonGroup::RadioButtonGroup | ( | GSList * | group | ) |
| explicitprotected

## Member Function Documentation

void Gtk::RadioButtonGroup::add | ( | RadioButton& | item | ) |
| protected

void Gtk::RadioButtonGroup::add | ( | RadioMenuItem& | item | ) |
| protected

void Gtk::RadioButtonGroup::add | ( | const Glib::RefPtr< RadioAction >& | item | ) |
| protected

void Gtk::RadioButtonGroup::add | ( | RadioToolButton& | item | ) |
| protected

void* Gtk::RadioButtonGroup::operator new | ( | size_t |  | ) |
| protected

RadioButtonGroup& Gtk::RadioButtonGroup::operator= | ( | const RadioButtonGroup& | src | ) |

## Member Data Documentation

GSList* Gtk::RadioButtonGroup::group_
| protected

The documentation for this class was generated from the following file:

- gtkmm/radiobuttongroup.h